Subject: Re: [net-next PATCH v3 7/8] net: ixgbe: add support for tc_u32 offload

From: John Fastabend <[email-masked]>
Date: Wed, 17 Feb 2016 06:25:36 -0800

On 16-02-17 03:47 AM, Jamal Hadi Salim wrote:
> On 16-02-17 06:42 AM, Jiri Pirko wrote:
>> Wed, Feb 17, 2016 at 12:17:26PM CET, [email-masked] wrote:
>>> On 16-02-17 12:18 AM, John Fastabend wrote:
> 
>>>
>>> Note: i dont see anything that says "hw". Are you delegating ht 0x800
>>> for h/w only? It is the default ht; so may not be the best choice.
>>
>> That is not implemented in this patchset. hw/sw/hwsw flag will be done
>> in a follow up. So far, the user has only possibility to enable/disable
>> the whole thing by ethtool feature flag.
> 
> [..]
>>> All looks cool but I am just worried about the lack of intent that
>>> something needs to go to hw vs sw. Other worry:
>>> What happens when things fail to install in hw?
>>
>> Silently fail. I believe that this should be handled in the same
>> follow-up I referred to above.
>>
> 
> I can live with the above. John, please consider my comments when
> sending next update.
> So only outstanding issue is you need to fix that NEW with REPLACE
> in patch 3.
> 

Perfect. I'm sending an update for patch 3 now and I'll carry all
your Acks forward thanks for the review Jamal.

> For this patch:
> Acked-by: Jamal Hadi Salim <[email-masked]>
> 
> cheers,
> jamal
> 
>